summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2005-10-22 21:23:02 +0000
committerLennart Poettering <lennart@poettering.net>2005-10-22 21:23:02 +0000
commit2a2ee0be70b99239f2cf99ea5b663eda965599f8 (patch)
tree4ac2d3edc774099855cd58b6d83c2d3e2c963ae4
parent80ffb739edcbcdc2a22bfed71b7913213392f6ff (diff)
Add init script support for fedora from Alexander Larsson
git-svn-id: file:///home/lennart/svn/public/avahi/trunk@838 941a03a8-eaeb-0310-b9a0-b1bbd8fe43fe
-rw-r--r--configure.ac5
-rw-r--r--initscript/Makefile.am4
-rw-r--r--initscript/fedora/Makefile.am34
-rw-r--r--initscript/fedora/avahi-daemon.in87
-rw-r--r--initscript/fedora/avahi-dnsconfd.in87
5 files changed, 216 insertions, 1 deletions
diff --git a/configure.ac b/configure.ac
index 315e191..ecc1120 100644
--- a/configure.ac
+++ b/configure.ac
@@ -121,6 +121,7 @@ if test "z$with_distro" = "z"; then
AC_CHECK_FILE(/etc/gentoo-release,with_distro="gentoo")
AC_CHECK_FILE(/etc/arch-release,with_distro="archlinux")
AC_CHECK_FILE(/etc/debian_version,with_distro="debian")
+ AC_CHECK_FILE(/etc/redhat-release,with_distro="fedora")
fi
with_distro=`echo ${with_distro} | tr '[[:upper:]]' '[[:lower:]]' `
@@ -129,7 +130,7 @@ if test "z$with_distro" = "z"; then
exit 1
else
case $with_distro in
- debian|gentoo|archlinux|suse|none)
+ debian|gentoo|archlinux|suse|fedora|none)
;;
*)
AC_MSG_ERROR([Your distribution (${with_distro}) is not yet supported, init scripts and dbus configuration will not be installed! (patches welcome), you can specify --with-distro=none to skip this check])
@@ -141,6 +142,7 @@ AM_CONDITIONAL(TARGET_SUSE, test x"$with_distro" = xsuse)
AM_CONDITIONAL(TARGET_GENTOO, test x"$with_distro" = xgentoo)
AM_CONDITIONAL(TARGET_DEBIAN, test x"$with_distro" = xdebian)
AM_CONDITIONAL(TARGET_ARCHLINUX, test x"$with_distro" = xarchlinux)
+AM_CONDITIONAL(TARGET_FEDORA, test x"$with_distro" = xfedora)
test_gcc_flag() {
AC_LANG_CONFTEST([int main() {}])
@@ -657,6 +659,7 @@ initscript/debian/Makefile
initscript/gentoo/Makefile
initscript/archlinux/Makefile
initscript/suse/Makefile
+initscript/fedora/Makefile
avahi-dnsconfd/Makefile
avahi-utils/Makefile
avahi-utils/avahi/Makefile
diff --git a/initscript/Makefile.am b/initscript/Makefile.am
index 12ed429..a00be21 100644
--- a/initscript/Makefile.am
+++ b/initscript/Makefile.am
@@ -34,3 +34,7 @@ endif
if TARGET_SUSE
SUBDIRS += suse
endif
+
+if TARGET_FEDORA
+SUBDIRS += fedora
+endif
diff --git a/initscript/fedora/Makefile.am b/initscript/fedora/Makefile.am
new file mode 100644
index 0000000..e18f0f6
--- /dev/null
+++ b/initscript/fedora/Makefile.am
@@ -0,0 +1,34 @@
+# $Id$
+
+# This file is part of avahi.
+#
+# avahi is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# avahi is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
+# License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with avahi; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+# USA.
+
+initddir = $(sysconfdir)/init.d
+
+EXTRA_DIST = avahi-daemon.in avahi-dnsconfd.in
+
+initd_SCRIPTS = avahi-daemon avahi-dnsconfd
+
+CLEANFILES = avahi-daemon avahi-dnsconfd
+
+avahi-daemon: avahi-daemon.in
+ sed -e 's,@sbindir\@,$(sbindir),g' $< > $@
+ chmod +x $@
+
+avahi-dnsconfd: avahi-dnsconfd.in
+ sed -e 's,@sbindir\@,$(sbindir),g' $< > $@
+ chmod +x $@
diff --git a/initscript/fedora/avahi-daemon.in b/initscript/fedora/avahi-daemon.in
new file mode 100644
index 0000000..b9907be
--- /dev/null
+++ b/initscript/fedora/avahi-daemon.in
@@ -0,0 +1,87 @@
+#! /bin/sh
+#
+# avahi-daemon: Starts the Avahi Daemon
+#
+# chkconfig: 345 34 66
+# description: This is a daemon which runs on client machines to perform \
+# Zeroconf service discovery on a network. avahi-daemon must be \
+# running on systems that use Avahi for service discovery. \
+# Avahi-daemon should not be running otherwise.
+# processname: avahi-daemon
+# config:
+
+OTHER_AVAHI_OPTS=""
+
+# Source function library.
+. /etc/init.d/functions
+
+. /etc/sysconfig/network
+
+# Check that networking is configured.
+[ ${NETWORKING} = "no" ] && exit 0
+
+AVAHI_BIN=@sbindir@/avahi-daemon
+test -x $AVAHI_BIN || exit 5
+
+start() {
+ echo -n $"Starting Avahi daemon... "
+ $AVAHI_BIN -D
+ RETVAL=$?
+ [ $RETVAL = 0 ] && success $"$base startup" || failure $"$base startup"
+ echo
+ return $RETVAL
+}
+
+stop() {
+ echo -n "Shutting down Avahi daemon: "
+ $AVAHI_BIN -k
+ RETVAL=$?
+ echo
+ return $RETVAL
+}
+
+reload() {
+ echo -n "Reloading Avahi daemon... "
+ $AVAHI_BIN -r
+ RETVAL=$?
+ [ $RETVAL = 0 ] && success $"$base startup" || failure $"$base startup"
+ echo
+ return $RETVAL
+}
+
+
+restart() {
+ stop
+ start
+}
+
+RETVAL=0
+
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ $AVAHI_BIN -c
+ [ $? = 0 ] && echo "Avahi daemon is running" || echo "Avahi daemon is not running"
+ ;;
+ restart)
+ restart
+ ;;
+ reload)
+ reload
+ ;;
+ condrestart)
+ $AVAHI_BIN -c
+ [ $? = 0 ] && restart || :
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart}"
+ exit 1
+esac
+
+exit $?
diff --git a/initscript/fedora/avahi-dnsconfd.in b/initscript/fedora/avahi-dnsconfd.in
new file mode 100644
index 0000000..5fbdb01
--- /dev/null
+++ b/initscript/fedora/avahi-dnsconfd.in
@@ -0,0 +1,87 @@
+#! /bin/sh
+#
+# avahi-daemon: Starts the Avahi dns configuration daemon
+#
+# chkconfig: - 34 66
+# description: avahi-dnsconfd connects to a running avahi-daemon and runs the script
+# /etc/avahi/dnsconf.action for each unicast DNS server that is announced
+# on the local LAN. This is useful for configuring unicast DNS servers in
+# a DHCP-like fashion with mDNS.
+# processname: avahi-dnsconfd
+# config:
+
+OTHER_AVAHI_OPTS=""
+
+# Source function library.
+. /etc/init.d/functions
+
+. /etc/sysconfig/network
+
+# Check that networking is configured.
+[ ${NETWORKING} = "no" ] && exit 0
+
+AVAHI_BIN=@sbindir@/avahi-dnsconfd
+test -x $AVAHI_BIN || exit 5
+
+start() {
+ echo -n $"Starting Avahi DNS daemon... "
+ $AVAHI_BIN -D
+ RETVAL=$?
+ [ $RETVAL = 0 ] && success $"$base startup" || failure $"$base startup"
+ echo
+ return $RETVAL
+}
+
+stop() {
+ echo -n "Shutting down Avahi DNS daemon: "
+ $AVAHI_BIN -k
+ RETVAL=$?
+ echo
+ return $RETVAL
+}
+
+reload() {
+ echo -n "Reloading Avahi DNS daemon... "
+ $AVAHI_BIN -r
+ RETVAL=$?
+ [ $RETVAL = 0 ] && success $"$base startup" || failure $"$base startup"
+ echo
+ return $RETVAL
+}
+
+
+restart() {
+ stop
+ start
+}
+
+RETVAL=0
+
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ $AVAHI_BIN -c
+ [ $? = 0 ] && echo "Avahi DNS daemon is running" || echo "Avahi DNS daemon is not running"
+ ;;
+ restart)
+ restart
+ ;;
+ reload)
+ reload
+ ;;
+ condrestart)
+ $AVAHI_BIN -c
+ [ $? = 0 ] && restart || :
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart}"
+ exit 1
+esac
+
+exit $?